{% extends 'public/base.html' %}

{% block styles %}
  {{super()}}
  <style>
    .body {
      width:80%;
      margin: auto;
    }
    .list-group {
      padding-left: 0;
      margin-bottom: 20px;
    }
    .list-group-unbordered>.list-group-item {
      border-left: 0;
      border-right: 0;
      border-radius: 0;
      padding-left: 0;
      padding-right: 0;
    }
    .list-group-item {
      position: relative;
      display: block;
      padding: 10px 15px;
      margin-bottom: -1px;
      background-color: #fff;
      border: 1px solid #ddd;
    }
    .pull-right {
      float: right!important;
      margin-left: 5px;
    }
  </style>
{% endblock %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='chart.js/Chart.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/airportpage-graphs.js') }}"></script>
  <script>
    this.most_common_aircrafts('{{info.most_common_aircraft|tojson}}')
    this.most_common_airlines('{{info.most_common_airline|tojson}}')

    function get_weather(){
      const metar_xhr = new XMLHttpRequest();
      metar_xhr.open('GET', 'https://avwx.rest/api/metar/{{icao}}?options=summary&format=json&onfail=cache', true);
      metar_xhr.setRequestHeader('Authorization', '{{AVWX_TOKEN}}')
      metar_xhr.onload = function () {
        const result = JSON.parse(metar_xhr.response).raw;
        document.getElementById('metar').innerHTML = result
      }
      metar_xhr.send(null);

      const taf_xhr = new XMLHttpRequest();
      taf_xhr.open('GET', 'https://avwx.rest/api/taf/{{icao}}?options=summary&format=json&onfail=cache', true);
      taf_xhr.setRequestHeader('Authorization', '{{AVWX_TOKEN}}')
      taf_xhr.onload = function () {
        const result = JSON.parse(taf_xhr.response).raw;
        document.getElementById('taf').innerHTML = result
      }
      taf_xhr.send(null);
    }

    this.get_weather()

    setInterval(function() {
        this.get_weather()
    }, 900 * 1000); // 15min
  </script>
{% endblock %}

{% block page_content %}
  <div class="row" style="margin-top: 25px;">
    <div class="col-lg-2"></div>
    <div class="col-lg-10">
      <h2 class="hpage">{{info.name}}</h2>
    </div>
    <div class="col-lg-2"></div>
  </div>
  <hr>
  <div class="body">
    <div class="row">
      <div class="col-lg-12">
        <div class="row">
          <div class="col-lg-3">
            <!-- Information -->
            <div class="card shadow mb-4">
              <!-- Information - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                  <h6 class="m-0 font-weight-bold text-primary">Information</h6>
              </a>
              <!-- Information - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                <div class="card-body">
                  <ul class="list-group list-group-unbordered">
                    <li class="list-group-item">
                      <b>ICAO</b> <a class="pull-right">{{info.icao}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># DEPARTURES</b> <a class="pull-right">{{info.departure_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># ARRIVALS</b> <a class="pull-right">{{info.arrival_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># DEPS LAST HOUR</b> <a class="pull-right">{{info.last_hour_departure_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># ARRS LAST HOUR</b> <a class="pull-right">{{info.last_hour_arrival_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># DEPS TODAY</b> <a class="pull-right">{{info.last_day_departure_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b># ARRS TODAY</b> <a class="pull-right">{{info.last_day_arrival_count}}</a>
                    </li>
                    <li class="list-group-item">
                      <b>LAST 50 DEPARTURES</b>
                        <a href="#" class="d-sm-inline-block btn btn-sm btn-primary shadow-sm pull-right">
                          <i class="fa-sm text-white-50"></i>
                          Click Here
                        </a>
                    </li>
                    <li class="list-group-item">
                      <b>LAST 50 ARRIVALS</b>
                        <a href="#" class="d-sm-inline-block btn btn-sm btn-primary shadow-sm pull-right">
                          <i class="fa-sm text-white-50"></i>
                          Click Here
                        </a>
                    </li>
                    <li class="list-group-item">
                      <b>BRIEFING</b>
                        <a href="#" class="d-sm-inline-block btn btn-sm btn-primary shadow-sm pull-right">
                          <i class="fa fa-download fa-sm text-white-50"></i>
                          Click Here
                        </a>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <!-- Most Common -->
            <div class="card shadow mb-4">
              <!-- Most Common Aircrafts - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                <h6 class="m-0 font-weight-bold text-primary">Most Common Aircrafts</h6>
              </a>
              <!--  Most Common Aircrafts Graph - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                <div class="card-body">
                  <canvas id="commun_aircrafts_graph" style="display: block; width: 441px; height: 160px;" width="441" height="160" class="chartjs-render-monitor"></canvas>
                </div>
                <div class="mt-4 text-center small" id="commun_aircrafts_legend"></div>
              </div>
            </div>
            <!-- Most Common Airlines -->
            <div class="card shadow mb-4">
              <!-- Most Common Airlines - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                <h6 class="m-0 font-weight-bold text-primary">Most Common Airlines</h6>
              </a>
              <!--  Most Common Airlines Graph - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                <div class="card-body">
                  <canvas id="commun_airlines_graph" style="display: block; width: 441px; height: 160px;" width="441" height="160" class="chartjs-render-monitor"></canvas>
                </div>
                <div class="mt-4 text-center small" id="commun_airlines_legend"></div>
              </div>
            </div>
          </div>
          <div class="col-lg-9">
            <!-- METAR Information -->
            <div class="card shadow mb-4">
                <!-- METAR Information - Accordion -->
                <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                    <h6 class="m-0 font-weight-bold text-primary">METAR</h6>
                </a>
                <!-- METAR Information - Collapse -->
                <div class="collapse show" id="collapseCardExample">
                    <div class="card-body" id="metar"></div>
                </div>
            </div>
            <!-- TAF Information -->
            <div class="card shadow mb-4">
              <!-- TAF Information - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                  <h6 class="m-0 font-weight-bold text-primary">TAF</h6>
              </a>
              <!-- TAF Information - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                  <div class="card-body" id="taf"></div>
              </div>
            </div>
              <!-- Frequencies Information -->
            <div class="card shadow mb-4">
              <!-- Frequencies Information - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                  <h6 class="m-0 font-weight-bold text-primary">Frequencies</h6>
              </a>
              <!-- Frequencies Information - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                <div class="card-body">
                  <ul class="list-group list-group-unbordered">
                    {% for freq in frequencies %}
                    <li class="list-group-item">
                      <b>{{freq.position}}</b> <a class="pull-right">{{"{:,.3f}".format(freq.frequency)}}</a>
                    </li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
            </div>
            <!-- Sceneries Information -->
            <div class="card shadow mb-4">
              <!-- Sceneries Information - Accordion -->
              <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                  <h6 class="m-0 font-weight-bold text-primary">Sceneries</h6>
              </a>
              <!-- Sceneries Information - Collapse -->
              <div class="collapse show" id="collapseCardExample">
                <div class="card-body">
                  <ul class="list-group list-group-unbordered">
                    <li class="list-group-item">
                      <b></b> <a class="pull-right" href="#"></a>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <!-- Charts Information -->
            <div class="card shadow mb-4">
              <!-- Charts Information - Accordion -->
              <a href="#collapseCharts" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCharts">
                <h6 class="m-0 font-weight-bold text-primary">Charts</h6>
              </a>
              <!-- Charts Information - Collapse -->
              <div class="collapse show" id="collapseCharts">
                <div class="card-body">
                  <iframe class="w-100" style="min-height:80vh;width:100%" src="https://chartfox.org/api/interface/charts/{{icao}}?token={{CHARTFOX_TOKEN}} "></iframe>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
